* [dpdk-dev] [PATCH] devtools: check wrong svg include in patches
@ 2018-10-31 11:05 Thomas Monjalon
2018-10-31 15:46 ` Arnon Warshavsky
2018-10-31 16:28 ` [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides Thomas Monjalon
0 siblings, 2 replies; 11+ messages in thread
From: Thomas Monjalon @ 2018-10-31 11:05 UTC (permalink / raw)
To: dev; +Cc: john.mcnamara, marko.kovacevic, Arnon Warshavsky
Including svg files with the svg extension is a common mistake:
.. figure:: example.svg
must be
.. figure:: example.*
So it will work also when building pdf doc with figures converted
to png files.
A check is added in checkpatches.sh.
Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
PS: it seems this check is not working. Arnon, I need your help please.
Cc: Arnon Warshavsky <arnon@qwilt.com>
---
devtools/checkpatches.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/devtools/checkpatches.sh b/devtools/checkpatches.sh
index bf3114f95..e69b5bc34 100755
--- a/devtools/checkpatches.sh
+++ b/devtools/checkpatches.sh
@@ -50,6 +50,12 @@ check_forbidden_additions() {
-v EXPRESSIONS="rte_panic\\\( rte_exit\\\(" \
-v RET_ON_FAIL=1 \
-f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk -
+ # svg figures must be included with wildcard extension
+ # because of png conversion for pdf docs
+ awk -v FOLDERS='doc' \
+ -v EXPRESSIONS=':: *[^ ]*\\.svg' \
+ -v RET_ON_FAIL=1 \
+ -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk -
}
number=0
--
2.19.0
^ permalink raw reply [flat|nested] 11+ messages in thread
* Re: [dpdk-dev] [PATCH] devtools: check wrong svg include in patches
2018-10-31 11:05 [dpdk-dev] [PATCH] devtools: check wrong svg include in patches Thomas Monjalon
@ 2018-10-31 15:46 ` Arnon Warshavsky
2018-10-31 15:51 ` Thomas Monjalon
2018-10-31 16:28 ` [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides Thomas Monjalon
1 sibling, 1 reply; 11+ messages in thread
From: Arnon Warshavsky @ 2018-10-31 15:46 UTC (permalink / raw)
To: Thomas Monjalon; +Cc: dev, john.mcnamara, marko.kovacevic
Hi Thomas
Glad the function gets to be reused :)
Now that it has more than one consumer apparently the function
check_forbidden_additions() cannot be fed by stdin.
I got it working with 3 changes:
1. call the awk script with $tmpinput as a parameter instead of stdin. This
aligns with Neils changes from previous version
2. Escaped the spaces from the regex , as the awk script uses spaces to
tell multiple forbidden expressions apart (which now I see sucks ...),
and added an extra backslash
3. call the function with no parameters (not needed anymore)
awk -v FOLDERS="lib drivers" \
-v EXPRESSIONS="rte_panic\\\( rte_exit\\\(" \
-v RET_ON_FAIL=1 \
- -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk -
+ -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk
*$tmpinput*
+
+ awk -v FOLDERS='doc' \
+ -v EXPRESSIONS='*::[[:space:]]*[^[:space:]]*\\\.svg*' \
+ -v RET_ON_FAIL=1 \
+ -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk
*$tmpinput*
! $verbose || printf '\nChecking forbidden tokens additions:\n'
- report=$(check_forbidden_additions *<"$tmpinput"*)
+ report=$(check_forbidden_additions)
thanks
/Arnon
^ permalink raw reply [flat|nested] 11+ messages in thread
* Re: [dpdk-dev] [PATCH] devtools: check wrong svg include in patches
2018-10-31 15:46 ` Arnon Warshavsky
@ 2018-10-31 15:51 ` Thomas Monjalon
2018-10-31 15:55 ` Arnon Warshavsky
0 siblings, 1 reply; 11+ messages in thread
From: Thomas Monjalon @ 2018-10-31 15:51 UTC (permalink / raw)
To: Arnon Warshavsky; +Cc: dev, john.mcnamara, marko.kovacevic
Hi Arnon,
31/10/2018 16:46, Arnon Warshavsky:
> Hi Thomas
>
> Glad the function gets to be reused :)
> Now that it has more than one consumer apparently the function
> check_forbidden_additions() cannot be fed by stdin.
> I got it working with 3 changes:
Thanks for the help
> 1. call the awk script with $tmpinput as a parameter instead of stdin. This
> aligns with Neils changes from previous version
> 2. Escaped the spaces from the regex , as the awk script uses spaces to
> tell multiple forbidden expressions apart (which now I see sucks ...),
> and added an extra backslash
Are you sure we need an extra backslash?
Note that I am using single quotes.
I thought we need only 2 backslashes in this case.
> 3. call the function with no parameters (not needed anymore)
>
> awk -v FOLDERS="lib drivers" \
> -v EXPRESSIONS="rte_panic\\\( rte_exit\\\(" \
> -v RET_ON_FAIL=1 \
> - -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk -
> + -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk
> *$tmpinput*
> +
> + awk -v FOLDERS='doc' \
> + -v EXPRESSIONS='*::[[:space:]]*[^[:space:]]*\\\.svg*' \
> + -v RET_ON_FAIL=1 \
> + -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk
> *$tmpinput*
>
> ! $verbose || printf '\nChecking forbidden tokens additions:\n'
> - report=$(check_forbidden_additions *<"$tmpinput"*)
> + report=$(check_forbidden_additions)
^ permalink raw reply [flat|nested] 11+ messages in thread
* [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides
2018-10-31 11:05 [dpdk-dev] [PATCH] devtools: check wrong svg include in patches Thomas Monjalon
2018-10-31 15:46 ` Arnon Warshavsky
@ 2018-10-31 16:28 ` Thomas Monjalon
2018-11-01 6:45 ` Arnon Warshavsky
2018-11-01 21:25 ` Thomas Monjalon
1 sibling, 2 replies; 11+ messages in thread
From: Thomas Monjalon @ 2018-10-31 16:28 UTC (permalink / raw)
To: dev; +Cc: john.mcnamara, marko.kovacevic, Arnon Warshavsky
Including svg files with the svg extension is a common mistake:
.. figure:: example.svg
must be
.. figure:: example.*
So it will work also when building pdf doc with figures converted
to png files.
A check is added in checkpatches.sh.
Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
Signed-off-by: Arnon Warshavsky <arnon@qwilt.com>
PS: the warning contains the regex. May it be improved?
Warning in /doc/guides/nics/mvpp2.rst:
are you sure you want to add the following:
::[[:space:]]*[^[:space:]]*\.svg
Cc: Arnon Warshavsky <arnon@qwilt.com>
---
devtools/checkpatches.sh | 14 +++++++++++---
1 file changed, 11 insertions(+), 3 deletions(-)
diff --git a/devtools/checkpatches.sh b/devtools/checkpatches.sh
index bf3114f95..fb9e9f76d 100755
--- a/devtools/checkpatches.sh
+++ b/devtools/checkpatches.sh
@@ -43,13 +43,21 @@ print_usage () {
END_OF_HELP
}
-check_forbidden_additions() {
+check_forbidden_additions() { # <patch>
# refrain from new additions of rte_panic() and rte_exit()
# multiple folders and expressions are separated by spaces
awk -v FOLDERS="lib drivers" \
-v EXPRESSIONS="rte_panic\\\( rte_exit\\\(" \
-v RET_ON_FAIL=1 \
- -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk -
+ -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk \
+ "$1"
+ # svg figures must be included with wildcard extension
+ # because of png conversion for pdf docs
+ awk -v FOLDERS='doc' \
+ -v EXPRESSIONS='::[[:space:]]*[^[:space:]]*\\.svg' \
+ -v RET_ON_FAIL=1 \
+ -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk \
+ "$1"
}
number=0
@@ -115,7 +123,7 @@ check () { # <patch> <commit> <title>
fi
! $verbose || printf '\nChecking forbidden tokens additions:\n'
- report=$(check_forbidden_additions <"$tmpinput")
+ report=$(check_forbidden_additions "$tmpinput")
if [ $? -ne 0 ] ; then
$headline_printed || print_headline "$3"
printf '%s\n' "$report"
--
2.19.0
^ permalink raw reply [flat|nested] 11+ messages in thread
* Re: [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides
2018-10-31 16:28 ` [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides Thomas Monjalon
@ 2018-11-01 6:45 ` Arnon Warshavsky
2018-11-01 9:27 ` Thomas Monjalon
2018-11-01 21:25 ` Thomas Monjalon
1 sibling, 1 reply; 11+ messages in thread
From: Arnon Warshavsky @ 2018-11-01 6:45 UTC (permalink / raw)
To: Thomas Monjalon; +Cc: dev, john.mcnamara, marko.kovacevic
Hi
>PS: the warning contains the regex. May it be improved?
How about passing an explicit warning message to the awk instead of the
regex?
+++ b/devtools/check-forbidden-tokens.awk
END {
if (count > 0) {
print "Warning in " substr(last_file,6) ":"
- print "are you sure you want to add the following:"
- for (key in expressions) {
- if (expressions[key] > 0) {
- print key
- }
- }
+ print MESSAGE
exit RET_ON_FAIL
}
}
+++ b/devtools/checkpatches.sh
-check_forbidden_additions() {
+check_forbidden_additions() { # <patch>
+ local ret=0
# refrain from new additions of rte_panic() and rte_exit()
# multiple folders and expressions are separated by spaces
awk -v FOLDERS="lib drivers" \
-v EXPRESSIONS="rte_panic\\\( rte_exit\\\(" \
-v RET_ON_FAIL=1 \
- -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk -
+ -v MESSAGE='Usage of rte_panic/rte_exit' \
+ -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk \
+ "$1"
+ if [ $? -ne 0 ] ; then
+ ret=1
+ fi
+ # svg figures must be included with wildcard extension
+ # because of png conversion for pdf docs
+ awk -v FOLDERS='doc' \
+ -v EXPRESSIONS='::[[:space:]]*[^[:space:]]*\\.svg' \
+ -v RET_ON_FAIL=1 \
+ -v MESSAGE='Using explicit .svg extention in figures
instead of .*' \
+ -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk \
+ "$1"
+ if [ $? -ne 0 ] ; then
+ ret=1
+ fi
+
+ return $ret
}
I also noticed that there is a need to keep the return value from each
check in case the first fails and the latter succeeds
thanks
/Arnon
On Wed, Oct 31, 2018 at 6:28 PM, Thomas Monjalon <thomas@monjalon.net>
wrote:
> Including svg files with the svg extension is a common mistake:
> .. figure:: example.svg
> must be
> .. figure:: example.*
> So it will work also when building pdf doc with figures converted
> to png files.
>
> A check is added in checkpatches.sh.
>
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
> Signed-off-by: Arnon Warshavsky <arnon@qwilt.com>
>
> PS: the warning contains the regex. May it be improved?
>
> Warning in /doc/guides/nics/mvpp2.rst:
> are you sure you want to add the following:
> ::[[:space:]]*[^[:space:]]*\.svg
>
> Cc: Arnon Warshavsky <arnon@qwilt.com>
> ---
> devtools/checkpatches.sh | 14 +++++++++++---
> 1 file changed, 11 insertions(+), 3 deletions(-)
>
> diff --git a/devtools/checkpatches.sh b/devtools/checkpatches.sh
> index bf3114f95..fb9e9f76d 100755
> --- a/devtools/checkpatches.sh
> +++ b/devtools/checkpatches.sh
> @@ -43,13 +43,21 @@ print_usage () {
> END_OF_HELP
> }
>
> -check_forbidden_additions() {
> +check_forbidden_additions() { # <patch>
> # refrain from new additions of rte_panic() and rte_exit()
> # multiple folders and expressions are separated by spaces
> awk -v FOLDERS="lib drivers" \
> -v EXPRESSIONS="rte_panic\\\( rte_exit\\\(" \
> -v RET_ON_FAIL=1 \
> - -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk
> -
> + -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk
> \
> + "$1"
> + # svg figures must be included with wildcard extension
> + # because of png conversion for pdf docs
> + awk -v FOLDERS='doc' \
> + -v EXPRESSIONS='::[[:space:]]*[^[:space:]]*\\.svg' \
> + -v RET_ON_FAIL=1 \
> + -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk
> \
> + "$1"
> }
>
> number=0
> @@ -115,7 +123,7 @@ check () { # <patch> <commit> <title>
> fi
>
> ! $verbose || printf '\nChecking forbidden tokens additions:\n'
> - report=$(check_forbidden_additions <"$tmpinput")
> + report=$(check_forbidden_additions "$tmpinput")
> if [ $? -ne 0 ] ; then
> $headline_printed || print_headline "$3"
> printf '%s\n' "$report"
> --
> 2.19.0
>
>
--
*Arnon Warshavsky*
*Qwilt | work: +972-72-2221634 | mobile: +972-50-8583058 | arnon@qwilt.com
<arnon@qwilt.com>*
^ permalink raw reply [flat|nested] 11+ messages in thread
* Re: [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides
2018-11-01 6:45 ` Arnon Warshavsky
@ 2018-11-01 9:27 ` Thomas Monjalon
2018-11-01 9:29 ` Arnon Warshavsky
0 siblings, 1 reply; 11+ messages in thread
From: Thomas Monjalon @ 2018-11-01 9:27 UTC (permalink / raw)
To: Arnon Warshavsky; +Cc: dev, john.mcnamara, marko.kovacevic
01/11/2018 07:45, Arnon Warshavsky:
> Hi
>
> >PS: the warning contains the regex. May it be improved?
>
> How about passing an explicit warning message to the awk instead of the
> regex?
Yes it is a good idea.
I think it can be a separate patch. Would you like to send it please?
[..]
> + if [ $? -ne 0 ] ; then
> + ret=1
> + fi
> +
> + return $ret
> }
>
> I also noticed that there is a need to keep the return value from each
> check in case the first fails and the latter succeeds
No need of return code.
The error is detected if there is something printed to stdout.
^ permalink raw reply [flat|nested] 11+ messages in thread
* Re: [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides
2018-11-01 9:27 ` Thomas Monjalon
@ 2018-11-01 9:29 ` Arnon Warshavsky
2018-11-01 13:59 ` Arnon Warshavsky
0 siblings, 1 reply; 11+ messages in thread
From: Arnon Warshavsky @ 2018-11-01 9:29 UTC (permalink / raw)
To: Thomas Monjalon; +Cc: dev, john.mcnamara, marko.kovacevic
>
>
> Yes it is a good idea.
> I think it can be a separate patch. Would you like to send it please?
>
> Sure. Will do
^ permalink raw reply [flat|nested] 11+ messages in thread
* Re: [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides
2018-11-01 9:29 ` Arnon Warshavsky
@ 2018-11-01 13:59 ` Arnon Warshavsky
2018-11-01 14:10 ` Thomas Monjalon
0 siblings, 1 reply; 11+ messages in thread
From: Arnon Warshavsky @ 2018-11-01 13:59 UTC (permalink / raw)
To: Thomas Monjalon; +Cc: dev, john.mcnamara, marko.kovacevic
>
>> Yes it is a good idea.
>> I think it can be a separate patch. Would you like to send it please?
>>
>> Sure. Will do
>
> Just to make sure - I am waiting for your patch to get in, so that I apply
the warning patch for both checks
--
*Arnon Warshavsky*
*Qwilt | work: +972-72-2221634 | mobile: +972-50-8583058 | arnon@qwilt.com
<arnon@qwilt.com>*
^ permalink raw reply [flat|nested] 11+ messages in thread
* Re: [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides
2018-11-01 13:59 ` Arnon Warshavsky
@ 2018-11-01 14:10 ` Thomas Monjalon
0 siblings, 0 replies; 11+ messages in thread
From: Thomas Monjalon @ 2018-11-01 14:10 UTC (permalink / raw)
To: Arnon Warshavsky; +Cc: dev, john.mcnamara, marko.kovacevic
01/11/2018 14:59, Arnon Warshavsky:
> >
> >> Yes it is a good idea.
> >> I think it can be a separate patch. Would you like to send it please?
> >>
> >> Sure. Will do
> >
> > Just to make sure - I am waiting for your patch to get in, so that I apply
> the warning patch for both checks
OK
^ permalink raw reply [flat|nested] 11+ messages in thread
* Re: [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides
2018-10-31 16:28 ` [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides Thomas Monjalon
2018-11-01 6:45 ` Arnon Warshavsky
@ 2018-11-01 21:25 ` Thomas Monjalon
1 sibling, 0 replies; 11+ messages in thread
From: Thomas Monjalon @ 2018-11-01 21:25 UTC (permalink / raw)
To: Arnon Warshavsky; +Cc: dev, john.mcnamara, marko.kovacevic
31/10/2018 17:28, Thomas Monjalon:
> Including svg files with the svg extension is a common mistake:
> .. figure:: example.svg
> must be
> .. figure:: example.*
> So it will work also when building pdf doc with figures converted
> to png files.
>
> A check is added in checkpatches.sh.
>
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
> Signed-off-by: Arnon Warshavsky <arnon@qwilt.com>
Applied
^ permalink raw reply [flat|nested] 11+ messages in thread
end of thread, other threads:[~2018-11-01 21:25 UTC | newest]
Thread overview: 11+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-10-31 11:05 [dpdk-dev] [PATCH] devtools: check wrong svg include in patches Thomas Monjalon
2018-10-31 15:46 ` Arnon Warshavsky
2018-10-31 15:51 ` Thomas Monjalon
2018-10-31 15:55 ` Arnon Warshavsky
2018-10-31 16:28 ` [dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides Thomas Monjalon
2018-11-01 6:45 ` Arnon Warshavsky
2018-11-01 9:27 ` Thomas Monjalon
2018-11-01 9:29 ` Arnon Warshavsky
2018-11-01 13:59 ` Arnon Warshavsky
2018-11-01 14:10 ` Thomas Monjalon
2018-11-01 21:25 ` Thomas Monjalon
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).